Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123931 - Cloned project not opened
Cloned project not opened
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P4 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 09:45 UTC by novakm
Modified: 2008-01-30 08:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (12.25 KB, patch)
2008-01-03 15:03 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description novakm 2007-12-13 09:45:41 UTC
1) Initialize repository for a new project
2) Commit it
3) Invoke Mercurial | Clone - <project_name>
4) Uncheck "Set Cloned Project as Main" in upcoming dialog
5) Push Clone
result: The cloned project is not opened and thus not visible in IDE, you have to open it manually.

Mercurial 0.9.5

Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.5.0_13; Java HotSpot(TM) Client VM 1.5.0_13-b05
System: Windows Vista version 6.0 running on x86; Cp1252; en_GB (nb
Comment 1 Padraig Obriain 2007-12-20 15:34:57 UTC
Is this behavior not similar to Subversion | Checkout...?
Comment 2 novakm 2008-01-03 08:14:41 UTC
Well it is not as in Subversion there is a different checkbox reading "Scan for Netbeans Projects after Checkout" which
has a different meaning. I think that if you want to clone project, you want it opened even if you don't want it as main
project.
Comment 3 Padraig Obriain 2008-01-03 15:03:34 UTC
Created attachment 54643 [details]
proposed patch
Comment 4 Padraig Obriain 2008-01-03 15:05:23 UTC
The attached patch will always open the cloned project and will set it as main project only if the checkbox is enabled.
Comment 5 Padraig Obriain 2008-01-09 11:29:30 UTC
IDE:-------------------------------------------------
IDE: [1/9/08 11:27 AM] Committing "Mercurial" started
Checking in ui/clone/CloneAction.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/clone/CloneAction.java,v 
<--  CloneAction.java
new revision: 1.16; previous revision: 1.15
done
Checking in ui/clone/ClonePanel.form;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/clone/ClonePanel.form,v  <--
 ClonePanel.form
new revision: 1.6; previous revision: 1.5
done
Checking in ui/clone/ClonePanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/clone/ClonePanel.java,v  <--
 ClonePanel.java
new revision: 1.8; previous revision: 1.7
done
Checking in HgModuleConfig.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/HgModuleConfig.java,v  <-- 
HgModuleConfig.java
new revision: 1.16; previous revision: 1.15
done
Checking in util/HgProjectUtils.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgProjectUtils.java,v  <--
 HgProjectUtils.java
new revision: 1.9; previous revision: 1.8
done
IDE: [1/9/08 11:27 AM] Committing "Mercurial" finished
Comment 6 novakm 2008-01-30 08:06:37 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo